package cn.wisenergy.model.app;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author 86187
 * @ Description   :  用户实体类
 * @ Author        :  lcc
 * @ CreateDate    :  2020/11/8 19:59
 */
@Data
@ApiModel(value = "User")
@TableName("user_info")
public class User extends Model<User> implements Serializable{
    private static final long serialVersionUID = 2525339404301884673L;

    /**
     * 主键id
     */
    @ApiModelProperty(name = "id", value = "用户主键id")
    @TableId("id")
    private Integer id;

    /**
     * 手机号作为用户账号
     */
    @ApiModelProperty(name = "user_id", value = "用户主键id")
    @TableId("user_id")
    private String userId;

    /**
     * 密码
     */
    @ApiModelProperty(name = "password", value = "用户密码")
    @TableId("password")
    private String password;


    /**
     * 用户会员等级
     */
    @ApiModelProperty(name = "user_level", value = "用户会员等级")
    @TableId("user_level")
    private int userLevel;

    /**
     * 跨境额度
     */
    @ApiModelProperty(name = "cross_border_line", value = "跨境额度")
    @TableId("cross_border_line")
    private BigDecimal crossBorderLine;

    /**
     * 身份证号码
     */
    @ApiModelProperty(name = "id_card_number", value = "身份证号码")
    @TableId("id_card_number")
    private String idCardNumber;

    /**
     * 粉丝昵称
     */
    @ApiModelProperty(name = "fans_nickname", value = "粉丝昵称")
    @TableId("fans_nickname")
    private String fansNickname;

    /**
     * 有赞粉丝id，有赞自动生成
     */
    @ApiModelProperty(name = "fans_id", value = "有赞粉丝id，有赞自动生成")
    @TableId("fans_id")
    private String fansId;

    /**
     * 用户本人邀请码
     */
    @ApiModelProperty(name = "invite_code", value = "用户本人邀请码")
    @TableId("invite_code")
    private String inviteCode;

    /**
     * 推荐人邀请码
     */
    @ApiModelProperty(name = "be_invited_code", value = "推荐人邀请码")
    @TableId("be_invited_code")
    private String beInvitedCode;

    /**
     * 创建时间
     */
    @ApiModelProperty(name = "createTime", value = "创建时间")
    private Date createTime;
    /**
     * 修改时间
     */
    @ApiModelProperty(name = "updateTime", value = "修改时间")
    private Date updateTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public int getUserLevel() {
        return userLevel;
    }

    public void setUserLevel(int userLevel) {
        this.userLevel = userLevel;
    }

    public BigDecimal getCrossBorderLine() {
        return crossBorderLine;
    }

    public void setCrossBorderLine(BigDecimal crossBorderLine) {
        this.crossBorderLine = crossBorderLine;
    }

    public String getIdCardNumber() {
        return idCardNumber;
    }

    public void setIdCardNumber(String idCardNumber) {
        this.idCardNumber = idCardNumber;
    }

    public String getFansNickname() {
        return fansNickname;
    }

    public void setFansNickname(String fansNickname) {
        this.fansNickname = fansNickname;
    }

    public String getFansId() {
        return fansId;
    }

    public void setFansId(String fansId) {
        this.fansId = fansId;
    }

    public String getInviteCode() {
        return inviteCode;
    }

    public void setInviteCode(String inviteCode) {
        this.inviteCode = inviteCode;
    }

    public String getBeInvitedCode() {
        return beInvitedCode;
    }

    public void setBeInvitedCode(String beInvitedCode) {
        this.beInvitedCode = beInvitedCode;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}
